//-----------------------------------------------------------------------
// <copyright file=" im_deptaccounting.cs">
// * FileName: im_deptaccounting.cs
// * history : 2019-03-19 13:24:29 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;

namespace Performance.EntityModels
{
    /// <summary>
    /// im_deptaccounting Entity Model
    /// </summary>
    public class im_deptaccounting
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
        public int ID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int SheetID { get; set; }

        /// <summary>
        /// 核算单元
        /// </summary>
        public string AccountingUnit { get; set; }

        /// <summary>
        /// 科室
        /// </summary>
        public string Department { get; set; }

        /// <summary>
        /// 核算单元医生数量
        /// </summary>
        public Nullable<int> DoctorNumber { get; set; }

        /// <summary>
        /// 医生预设总系数
        /// </summary>
        public Nullable<decimal> DoctorFactor { get; set; }

        /// <summary>
        /// 其他绩效1
        /// </summary>
        public Nullable<decimal> DoctorOtherPerfor1 { get; set; }

        /// <summary>
        /// 其他绩效2
        /// </summary>
        public Nullable<decimal> DoctorOtherPerfor2 { get; set; }

        /// <summary>
        /// 医院奖罚
        /// </summary>
        public Nullable<decimal> DoctorExtra { get; set; }

        /// <summary>
        /// 考核对分率
        /// </summary>
        public Nullable<decimal> DoctorScoringAverage { get; set; }

        /// <summary>
        /// 核算单元护士数量
        /// </summary>
        public Nullable<int> NurseNumber { get; set; }

        /// <summary>
        /// 护理预设总系数
        /// </summary>
        public Nullable<decimal> NurseFactor { get; set; }

        /// <summary>
        /// 其他绩效1
        /// </summary>
        public Nullable<decimal> NurseOtherPerfor1 { get; set; }

        /// <summary>
        /// 其他绩效2
        /// </summary>
        public Nullable<decimal> NurseOtherPerfor2 { get; set; }

        /// <summary>
        /// 医院奖罚
        /// </summary>
        public Nullable<decimal> NurseExtra { get; set; }

        /// <summary>
        /// 考核对分率
        /// </summary>
        public Nullable<decimal> NurseScoringAverage { get; set; }
    }
}
